public class ACompareToTest {
    public static void main(String args[]) {
        String str1 = "Strings are immutable";
        String str2 = new String("Strings are immutable");
        String str3 = new String("Integers are not immutable");
        int result = str1.compareTo( str2 );
        System.out.println(result);
        result = str2.compareTo( str3 );
        System.out.println(result);
        /*
           s1.compareTo(s2): >0 s1>s2 / =0 s1=s2 / <0 s1<s2
           Da 10 porque es la distancia entre 'I' y 'S'
           pero no podemos contar con ello
         */
    }    
}
